{% extends 'back.html.twig' %}

{% block title %}{{ recette.name }}{% endblock %}   

{% block body %}
        {# Titre recette #}
        <h2 class="text-center my-4">{{ recette.name }}</h2> 
        
        <div class="my-2 container">
            <a href="{{ path('admin_recette_index') }}" class="btn btn-outline-primary">Retour</a>
        </div>

        <section class="container">
            {# Image #}
            <aside class="w-100 text-center">
                {% if recette.fileName %}
                        <img src="{{ vich_uploader_asset(recette, 'imageFile') | imagine_filter('thumb') }}" alt="image du plat de la recette" class="img-fluid">
                    {% else %}
                        <img src="{{ 'images/recettes/empty.jpg' | imagine_filter('thumb') }}" alt="image du plat de la recette" class="img-fluid">
                    {% endif %}
            </aside>

            {# Description + Avis de Doudou #}
            <div class="row my-3 d-flex align-items-center text-center">
                <div class="col-6">
                    <p class="">{{ recette.description }}</p>
                </div>
                <div class="col-6">
                    <div class="card" style="border:6px double #85c17e;">
                        <div class="card-header p-1" style="background-color:#85c17e47;">
                            <h3>Avis de Doudou</h3>
                        </div>
                        <div class="card-body text-center p-1">
                            <h2 class="pt-2 m-0">
                                <ol class="list-unstyled d-flex justify-content-around mb-0">
                                    {% for i in 1..5 %}
                                        {% if recette.grade >= i %}
                                            <li><i class="fas fa-star text-warning" style="color: #f1c43a;"></i></li>
                                        {% else %}
                                            <li><i class="far fa-star text-warning" style="color: #f1c43a;"></i></li>
                                        {% endif %}
                                    {% endfor %}
                                </ol>
                            </h2>
                            <q>Le goût n'est pas original mais qui n'aime pas une bonne quiche ?</q>
                        </div>
                    </div>
                </div>
            </div>

            <section class="row mt-5 mx-0">
                {# Ingrédients #}
                <article class="col-lg-3 col-md-4 col-sm-5 rounded p-0"  style="border:6px double #85c17e;">
                    <div class="bg-primary p-2 pt-3 h-100">
                        <h5 class="mb-0 align-self-start">Ingrédients :</h5>
                        <small>(Pour {{ recette.person }} personnes)</small>
                        <ul class="list-unstyled mt-4">
                            {% for ingredient in recette.ingredients %}
                                <li>-{{ ingredient.name }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                </article>
                
                {# Etapes #}
                <div class="col-lg-9 col-md-8 col-sm-7">
                    <ul class="list-unstyled mb-0 mt-1">
                        {% set ordre = 1 %}
                        {% for etape in recette.etapes %} 
                            <li class="d-flex align-items-center my-2">
                                <div class="rounded-circle bg-secondary mr-2 d-flex justify-content-center align-items-center" style="min-width:30px; min-height:30px;">
                                    <p class="text-white mb-0">{{ ordre }}</p>
                                </div>
                                <p class="mb-0">{{ etape.description }}</p>
                            </li>
                            {% set ordre = ordre + 1 %}
                        {% endfor %}
                    <ul>
                </div> 
            </section>
            
            <section class="my-4">
                {# TAGS #}
                <ul class="list-unstyled list-inline">
                    {% for hashtag in recette.hashtags %} 
                        <li class="list-inline-item">
                            <button href="#" class="btn btn-secondary text-white p-1">{{ hashtag.title }}</button>
                        </li>
                    {% endfor %}
                </ul>

                <div class="text-center my-4">
                    <h4>D'autres recettes que vous pourriez aimer</h4>
                    {# Mettre ici 3-4 recettes en lien avec celle ci-dessus #}
                </div>

                <div class="text-center my-4">
                    <h4>Formulaire pour laisser un message/commentaire</h4>
                    {# Mettre ici 3-4 recettes en lien avec celle ci-dessus #}
                </div>
            </section>
        </section>
{% endblock %}
